version: "3"
services:
  rabbitmq:
    image: rabbitmq:3-management-alpine
    container_name: 'rabbitmq'
    environment:
            - RABBITMQ_DEFAULT_USER=admin
            - RABBITMQ_DEFAULT_PASS=QAZWSXqazwsx123+
    ports:
        - 5672:5672
        - 15672:15672
    # volumes:
    #     - ./.docker/rabbitmq/etc/:/etc/rabbitmq/
    #     - ./.docker/rabbitmq/data/:/var/lib/rabbitmq/
    #     - ./.docker/rabbitmq/logs/:/var/log/rabbitmq/
    networks:
        - rabbitmq_go_net

networks:
  rabbitmq_go_net:
    driver: bridge
